> ## Documentation Index
> Fetch the complete documentation index at: https://docs.podcastor.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Add image

> Register an uploaded image in the shared Podcast library.

MCP tool: `podcast_add_image`. OAuth scope: `asset.write`.


## OpenAPI

````yaml api-reference/openapi.json POST /open/podcast/v1/images
openapi: 3.0.3
info:
  description: >-
    Atomic Podcast capabilities. Credits, tasks and assets are shared with the
    Web account and Space.
  title: Podcastor API
  version: 1.0.0
servers:
  - url: https://api-services.podcastor.ai
    description: Podcastor API
security: []
paths:
  /open/podcast/v1/images:
    post:
      tags:
        - Podcast
      summary: add image
      description: Register an uploaded image in the shared Podcast library.
      operationId: podcast_add_image
      parameters:
        - description: Replay a completed identical request without repeating side effects.
          in: header
          name: Idempotency-Key
          schema:
            maxLength: 128
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/dto.AddRippleImageMaterialReq'
        description: 请求体
        required: true
        x-originalParamName: req
      responses:
        '200':
          content:
            application/json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/echo.JSON'
                  - properties:
                      data:
                        $ref: '#/components/schemas/vo.AddRippleImageMaterialResp'
                    type: object
          description: OK
      security:
        - ApiKey: []
components:
  schemas:
    dto.AddRippleImageMaterialReq:
      properties:
        image_material:
          type: string
      required:
        - image_material
      type: object
    echo.JSON:
      properties:
        cause:
          type: string
        code:
          type: integer
        data: {}
        details: {}
        msg:
          type: string
        rid:
          type: string
      type: object
    vo.AddRippleImageMaterialResp:
      properties:
        id:
          type: integer
      type: object
  securitySchemes:
    ApiKey:
      in: header
      name: X-Api-Key
      type: apiKey

````